Loading...
Searching...
No Matches
Ring Class Reference

`#include <ring_wrap.h>`

## Public Member Functions

| Ring (ring r=currRing)
| Ring (const Ring &r2)
| ~Ring ()

## Data Fields

intrusive_ptr< ip_sring > | pimpl

## Detailed Description

Definition at line 20 of file ring_wrap.h.

## Constructor & Destructor Documentation

## Ring() [1/2]

Ring::Ring | ( | ring | r = currRing | ) |

inline

Definition at line 24 of file ring_wrap.h.

: pimpl(r){}
Ring::pimpl
intrusive_ptr< ip_sring > pimpl
Definition ring_wrap.h:23

## Ring() [2/2]

Ring::Ring | ( | const Ring & | r2 | ) |

inline

Definition at line 25 of file ring_wrap.h.

:pimpl(r2.pimpl){}

## ~Ring()

Ring::~Ring | ( |  | ) |

inline

Definition at line 26 of file ring_wrap.h.

{}

## Field Documentation

## pimpl

intrusive_ptr<ip_sring> Ring::pimpl

Definition at line 23 of file ring_wrap.h.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/ring_wrap.h